Linux host36.vpshosting.vn 5.14.0-611.47.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Apr 8 20:00:39 EDT 2026 x86_64
LiteSpeed
Server IP : 103.200.23.189 & Your IP : 216.73.217.121
Domains :
Cant Read [ /etc/named.conf ]
User : adbcom
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
GET
15.82
KB
-rwxr-xr-x
2022-03-25 15:00
[
51.8
KB
-rwxr-xr-x
2025-03-12 19:52
aclocal
35.52
KB
-rwxr-xr-x
2023-09-27 19:16
aclocal-1.16
35.52
KB
-rwxr-xr-x
2023-09-27 19:16
addr2line
27.75
KB
-rwxr-xr-x
2025-12-18 21:37
agentxtrap
27.31
KB
-rwxr-xr-x
2026-01-15 22:59
animate
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
ar
55.98
KB
-rwxr-xr-x
2025-12-18 21:37
arch
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
arpaname
15.11
KB
-rwxr-xr-x
2025-11-13 15:16
as
710.32
KB
-rwxr-xr-x
2025-12-18 21:37
aspell
151.12
KB
-rwxr-xr-x
2022-01-27 04:47
at
1.25
KB
-rwxr-xr-x
2025-11-12 07:38
atq
1.25
KB
-rwxr-xr-x
2025-11-12 07:38
atrm
1.25
KB
-rwxr-xr-x
2025-11-12 07:38
autoconf
14.42
KB
-rwxr-xr-x
2025-09-21 19:23
autoheader
8.33
KB
-rwxr-xr-x
2025-09-21 19:23
autom4te
31.43
KB
-rwxr-xr-x
2025-09-21 19:23
automake
251.93
KB
-rwxr-xr-x
2023-09-27 19:16
automake-1.16
251.93
KB
-rwxr-xr-x
2023-09-27 19:16
autoreconf
20.57
KB
-rwxr-xr-x
2025-09-21 19:23
autoscan
16.72
KB
-rwxr-xr-x
2025-09-21 19:23
autoupdate
33.08
KB
-rwxr-xr-x
2025-09-21 19:23
awk
698.17
KB
-rwxr-xr-x
2022-03-31 05:25
b2sum
51.79
KB
-rwxr-xr-x
2025-03-12 19:52
base32
35.69
KB
-rwxr-xr-x
2025-03-12 19:52
base64
35.7
KB
-rwxr-xr-x
2025-03-12 19:52
basename
35.67
KB
-rwxr-xr-x
2025-03-12 19:52
basenc
48.02
KB
-rwxr-xr-x
2025-03-12 19:52
bash
1.32
MB
-rwxr-xr-x
2024-04-30 21:33
bashbug-64
6.91
KB
-rwxr-xr-x
2024-04-30 21:33
batch
140
B
-rwxr-xr-x
2025-11-12 07:38
bison
494.76
KB
-rwxr-xr-x
2022-01-27 07:15
bunzip2
39.62
KB
-rwxr-xr-x
2025-02-04 10:42
bzcat
39.62
KB
-rwxr-xr-x
2025-02-04 10:42
bzcmp
2.09
KB
-rwxr-xr-x
2025-02-04 10:42
bzdiff
2.09
KB
-rwxr-xr-x
2025-02-04 10:42
bzgrep
2.01
KB
-rwxr-xr-x
2025-02-04 10:42
bzip2
39.62
KB
-rwxr-xr-x
2025-02-04 10:42
bzip2recover
15.4
KB
-rwxr-xr-x
2025-02-04 10:42
bzless
1.23
KB
-rwxr-xr-x
2025-02-04 10:42
bzmore
1.23
KB
-rwxr-xr-x
2025-02-04 10:42
c++
1.05
MB
-rwxr-xr-x
2025-09-15 22:46
c++filt
27.19
KB
-rwxr-xr-x
2025-12-18 21:37
c89
228
B
-rwxr-xr-x
2025-09-15 22:42
c99
219
B
-rwxr-xr-x
2025-09-15 22:42
cagefs_enter.proxied
1.27
KB
-rwxr-xr-x
2026-01-20 20:17
cal
51.83
KB
-rwxr-xr-x
2026-02-05 04:11
captoinfo
87.79
KB
-rwxr-xr-x
2025-09-21 16:23
cat
35.66
KB
-rwxr-xr-x
2025-03-12 19:52
catchsegv
3.21
KB
-rwxr-xr-x
2026-02-17 18:02
cc
1.04
MB
-rwxr-xr-x
2025-09-15 22:46
chcon
60.24
KB
-rwxr-xr-x
2025-03-12 19:52
chgrp
56.19
KB
-rwxr-xr-x
2025-03-12 19:52
chmod
56.16
KB
-rwxr-xr-x
2025-03-12 19:52
chown
60.19
KB
-rwxr-xr-x
2025-03-12 19:52
chrt
27.31
KB
-rwxr-xr-x
2026-02-05 04:11
cksum
35.57
KB
-rwxr-xr-x
2025-03-12 19:52
cldetect
10.34
KB
-rwxr-xr-x
2026-03-10 21:09
clear
15.15
KB
-rwxr-xr-x
2025-09-21 16:23
cmp
40.13
KB
-rwxr-xr-x
2022-01-30 01:15
col
23.23
KB
-rwxr-xr-x
2026-02-05 04:11
colcrt
15.19
KB
-rwxr-xr-x
2026-02-05 04:11
colrm
15.16
KB
-rwxr-xr-x
2026-02-05 04:11
column
35.34
KB
-rwxr-xr-x
2026-02-05 04:11
comm
35.75
KB
-rwxr-xr-x
2025-03-12 19:52
compare
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
composite
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
conjure
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
convert
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
cp
149.24
KB
-rwxr-xr-x
2025-03-12 19:52
cpan
8.37
KB
-rwxr-xr-x
2025-05-14 04:00
cpp
1.05
MB
-rwxr-xr-x
2025-09-15 22:46
crontab
1.49
KB
-rwxr-xr-x
2025-09-25 18:43
crontab.cagefs
40.47
KB
-rwxr-xr-x
2026-03-02 18:10
csplit
108.88
KB
-rwxr-xr-x
2025-03-12 19:52
curl
248.48
KB
-rwxr-xr-x
2026-01-28 15:27
cut
47.8
KB
-rwxr-xr-x
2025-03-12 19:52
cyrusbdb2current
1.58
MB
-rwxr-xr-x
2025-09-25 18:46
date
104.05
KB
-rwxr-xr-x
2025-03-12 19:52
dbiprof
6.06
KB
-rwxr-xr-x
2022-02-16 15:03
dd
68.14
KB
-rwxr-xr-x
2025-03-12 19:52
delv
45.38
KB
-rwxr-xr-x
2025-11-13 15:16
df
84.73
KB
-rwxr-xr-x
2025-03-12 19:52
diff
194.7
KB
-rwxr-xr-x
2022-01-30 01:15
diff3
52.3
KB
-rwxr-xr-x
2022-01-30 01:15
dig
136.59
KB
-rwxr-xr-x
2025-11-13 15:16
dir
137.65
KB
-rwxr-xr-x
2025-03-12 19:52
dircolors
39.8
KB
-rwxr-xr-x
2025-03-12 19:52
dirname
31.48
KB
-rwxr-xr-x
2025-03-12 19:52
display
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
dnstap-read
23.19
KB
-rwxr-xr-x
2025-11-13 15:16
du
149.44
KB
-rwxr-xr-x
2025-03-12 19:52
echo
35.48
KB
-rwxr-xr-x
2025-03-12 19:52
ed
52.51
KB
-rwxr-xr-x
2022-01-30 12:02
egrep
32
B
-rwxr-xr-x
2022-02-01 03:22
enc2xs
40.69
KB
-rwxr-xr-x
2022-02-11 23:42
enchant
23.73
KB
-rwxr-xr-x
2022-01-30 18:02
enchant-lsmod
15.8
KB
-rwxr-xr-x
2022-01-30 18:02
env
44.23
KB
-rwxr-xr-x
2025-03-12 19:52
eps2eps
643
B
-rwxr-xr-x
2025-05-14 23:03
eqn
189.52
KB
-rwxr-xr-x
2022-02-01 17:44
ex
1.38
MB
-rwxr-xr-x
2025-11-12 06:24
expand
39.73
KB
-rwxr-xr-x
2025-03-12 19:52
expr
108.6
KB
-rwxr-xr-x
2025-03-12 19:52
factor
72.05
KB
-rwxr-xr-x
2025-03-12 19:52
false
27.47
KB
-rwxr-xr-x
2025-03-12 19:52
fc-cache
139
B
-rwxr-xr-x
2023-01-23 22:48
fc-cache-64
23.17
KB
-rwxr-xr-x
2023-01-24 02:48
fc-cat
19.16
KB
-rwxr-xr-x
2023-01-24 02:48
fc-conflist
15.13
KB
-rwxr-xr-x
2023-01-24 02:48
fc-list
15.13
KB
-rwxr-xr-x
2023-01-24 02:48
fc-match
15.13
KB
-rwxr-xr-x
2023-01-24 02:48
fc-pattern
15.14
KB
-rwxr-xr-x
2023-01-24 02:48
fc-query
15.13
KB
-rwxr-xr-x
2023-01-24 02:48
fc-scan
15.14
KB
-rwxr-xr-x
2023-01-24 02:48
fc-validate
15.14
KB
-rwxr-xr-x
2023-01-24 02:48
fgrep
32
B
-rwxr-xr-x
2022-02-01 03:22
file
27.74
KB
-rwxr-xr-x
2024-04-03 19:38
find
284.95
KB
-rwxr-xr-x
2024-10-03 04:04
flex
412.64
KB
-rwxr-xr-x
2022-01-30 15:23
flex++
412.64
KB
-rwxr-xr-x
2022-01-30 15:23
flock
23.37
KB
-rwxr-xr-x
2026-02-05 04:11
fmt
39.77
KB
-rwxr-xr-x
2025-03-12 19:52
fold
39.71
KB
-rwxr-xr-x
2025-03-12 19:52
free
23.36
KB
-rwxr-xr-x
2024-04-30 23:43
freetype-config
4.32
KB
-rwxr-xr-x
2025-03-31 22:40
funzip
31.25
KB
-rwxr-xr-x
2025-09-21 18:04
g++
1.05
MB
-rwxr-xr-x
2025-09-15 22:46
gawk
698.17
KB
-rwxr-xr-x
2022-03-31 05:25
gcc
1.04
MB
-rwxr-xr-x
2025-09-15 22:46
gcc-ar
27.67
KB
-rwxr-xr-x
2025-09-15 22:46
gcc-nm
27.64
KB
-rwxr-xr-x
2025-09-15 22:46
gcc-ranlib
27.67
KB
-rwxr-xr-x
2025-09-15 22:46
gcov
473.17
KB
-rwxr-xr-x
2025-09-15 22:46
gcov-dump
291.77
KB
-rwxr-xr-x
2025-09-15 22:46
gcov-tool
320.46
KB
-rwxr-xr-x
2025-09-15 22:46
gem
542
B
-rwxr-xr-x
2025-05-06 11:04
gencat
27.45
KB
-rwxr-xr-x
2026-02-17 18:04
geoiplookup
15.87
KB
-rwxr-xr-x
2022-11-23 23:40
geoiplookup6
15.82
KB
-rwxr-xr-x
2022-11-23 23:40
geqn
189.52
KB
-rwxr-xr-x
2022-02-01 17:44
getconf
35.23
KB
-rwxr-xr-x
2026-02-17 18:04
getent
35.86
KB
-rwxr-xr-x
2026-02-17 18:04
getopt
23.27
KB
-rwxr-xr-x
2026-02-05 04:11
ghostscript
15.13
KB
-rwxr-xr-x
2025-05-14 23:03
git
4.06
MB
-rwxr-xr-x
2025-07-21 23:25
git-receive-pack
4.06
MB
-rwxr-xr-x
2025-07-21 23:25
git-shell
770.68
KB
-rwxr-xr-x
2025-07-21 23:25
git-upload-archive
4.06
MB
-rwxr-xr-x
2025-07-21 23:25
git-upload-pack
4.06
MB
-rwxr-xr-x
2025-07-21 23:25
gm
15.67
KB
-rwxr-xr-x
2022-11-24 00:49
gmake
249.8
KB
-rwxr-xr-x
2024-04-02 19:55
gneqn
916
B
-rwxr-xr-x
2022-02-01 17:44
gnroff
3.21
KB
-rwxr-xr-x
2022-02-01 17:44
gpg
1.07
MB
-rwxr-xr-x
2026-01-16 04:34
gpg-agent
342.27
KB
-rwxr-xr-x
2026-01-16 04:34
gpg-error
36.1
KB
-rwxr-xr-x
2022-02-10 06:24
gpgsplit
27.5
KB
-rwxr-xr-x
2026-01-16 04:34
gpgv
295.43
KB
-rwxr-xr-x
2026-01-16 04:34
gpic
201.72
KB
-rwxr-xr-x
2022-02-01 17:44
gprof
101.48
KB
-rwxr-xr-x
2025-12-18 21:37
grep
154.49
KB
-rwxr-xr-x
2022-02-01 03:22
groff
96.77
KB
-rwxr-xr-x
2022-02-01 17:44
grops
167.26
KB
-rwxr-xr-x
2022-02-01 17:44
grotty
122.2
KB
-rwxr-xr-x
2022-02-01 17:44
groups
35.66
KB
-rwxr-xr-x
2025-03-12 19:52
gs
15.13
KB
-rwxr-xr-x
2025-05-14 23:03
gsnd
281
B
-rwxr-xr-x
2025-05-14 23:03
gtar
518.16
KB
-rwxr-xr-x
2026-01-06 02:41
gtbl
130.86
KB
-rwxr-xr-x
2022-02-01 17:44
gtroff
732.07
KB
-rwxr-xr-x
2022-02-01 17:44
gunzip
2.29
KB
-rwxr-xr-x
2022-10-16 00:26
gzexe
6.3
KB
-rwxr-xr-x
2022-10-16 00:26
gzip
89.63
KB
-rwxr-xr-x
2022-10-16 00:26
h2ph
28.69
KB
-rwxr-xr-x
2025-07-28 10:54
h2xs
59.5
KB
-rwxr-xr-x
2025-07-28 10:53
head
43.8
KB
-rwxr-xr-x
2025-03-12 19:52
hexdump
51.41
KB
-rwxr-xr-x
2026-02-05 04:11
host
108.57
KB
-rwxr-xr-x
2025-11-13 15:16
hostid
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
hostname
23.84
KB
-rwxr-xr-x
2022-02-14 18:22
hunspell
102.67
KB
-rwxr-xr-x
2022-02-01 03:22
iconv
64.09
KB
-rwxr-xr-x
2026-02-17 18:04
icu-config
205
B
-rwxr-xr-x
2025-07-29 23:13
icu-config-64
21.67
KB
-rwxr-xr-x
2025-07-29 23:16
icuinfo
15.49
KB
-rwxr-xr-x
2025-07-29 23:17
id
39.71
KB
-rwxr-xr-x
2025-03-12 19:52
identify
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
idn
35.8
KB
-rwxr-xr-x
2022-12-20 23:04
ifnames
4.03
KB
-rwxr-xr-x
2025-09-21 19:23
import
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
infocmp
63.68
KB
-rwxr-xr-x
2025-09-21 16:23
infotocap
87.79
KB
-rwxr-xr-x
2025-09-21 16:23
install
149.29
KB
-rwxr-xr-x
2025-03-12 19:52
instmodsh
4.1
KB
-rwxr-xr-x
2022-02-24 16:56
ionice
15.21
KB
-rwxr-xr-x
2026-02-05 04:11
ipcrm
19.23
KB
-rwxr-xr-x
2026-02-05 04:11
ipcs
39.34
KB
-rwxr-xr-x
2026-02-05 04:11
isosize
15.16
KB
-rwxr-xr-x
2026-02-05 04:11
ispell
992
B
-rwxr-xr-x
2019-10-08 07:15
join
51.9
KB
-rwxr-xr-x
2025-03-12 19:52
kill
31.29
KB
-rwxr-xr-x
2026-02-05 04:11
ld
1.71
MB
-rwxr-xr-x
2025-12-18 21:37
ld.bfd
1.71
MB
-rwxr-xr-x
2025-12-18 21:37
ldd
5.32
KB
-rwxr-xr-x
2026-02-17 18:02
less
197.7
KB
-rwxr-xr-x
2025-09-21 19:35
lessecho
15.17
KB
-rwxr-xr-x
2025-09-21 19:35
lesskey
24.61
KB
-rwxr-xr-x
2025-09-21 19:35
lesspipe.sh
3.5
KB
-rwxr-xr-x
2025-09-21 18:44
lex
412.64
KB
-rwxr-xr-x
2022-01-30 15:23
libnetcfg
15.41
KB
-rwxr-xr-x
2025-07-28 10:54
libtool
359.18
KB
-rwxr-xr-x
2024-10-02 00:49
libtoolize
126.17
KB
-rwxr-xr-x
2024-10-02 00:49
link
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
ln
60.16
KB
-rwxr-xr-x
2025-03-12 19:52
locale
59.08
KB
-rwxr-xr-x
2026-02-17 18:04
localedef
314.06
KB
-rwxr-xr-x
2026-02-17 18:04
logger
35.98
KB
-rwxr-xr-x
2026-02-05 04:11
login
43.45
KB
-rwxr-xr-x
2026-02-05 04:11
logname
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
look
19.17
KB
-rwxr-xr-x
2026-02-05 04:11
ls
137.64
KB
-rwxr-xr-x
2025-03-12 19:52
lto-dump
26.59
MB
-rwxr-xr-x
2025-09-15 22:46
m4
240.4
KB
-rwxr-xr-x
2022-03-31 14:28
make
249.8
KB
-rwxr-xr-x
2024-04-02 19:55
make-dummy-cert
614
B
-rwxr-xr-x
2026-01-28 23:17
mariadb
5.1
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-access
109.48
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-admin
4.87
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-binlog
5.13
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-check
4.86
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-conv
4.58
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-convert-table-format
4.28
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-dump
4.96
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-dumpslow
8.19
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-embedded
24.46
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-find-rows
3.35
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-hotcopy
34.67
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-import
4.85
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-plugin
4.55
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-secure-installation
13.66
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-setpermission
17.7
KB
-rwxr-xr-x
2026-01-31 23:24
mariadb-show
4.85
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-slap
4.87
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-tzinfo-to-sql
4.55
MB
-rwxr-xr-x
2026-02-01 00:05
mariadb-waitpid
4.54
MB
-rwxr-xr-x
2026-02-01 00:05
mcookie
27.31
KB
-rwxr-xr-x
2026-02-05 04:11
md5sum
39.64
KB
-rwxr-xr-x
2025-03-12 19:52
mesg
15.14
KB
-rwxr-xr-x
2026-02-05 04:11
mkdir
68.31
KB
-rwxr-xr-x
2025-03-12 19:52
mkfifo
39.83
KB
-rwxr-xr-x
2025-03-12 19:52
mknod
43.88
KB
-rwxr-xr-x
2025-03-12 19:52
mktemp
39.8
KB
-rwxr-xr-x
2025-03-12 19:52
mogrify
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
montage
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
more
43.43
KB
-rwxr-xr-x
2026-02-05 04:11
msql2mysql
1.42
KB
-rwxr-xr-x
2026-01-31 23:24
mv
141.17
KB
-rwxr-xr-x
2025-03-12 19:52
my_print_defaults
4.54
MB
-rwxr-xr-x
2026-02-01 00:05
mysql
5.1
MB
-rwxr-xr-x
2026-02-01 00:05
mysql_config
4.47
KB
-rwxr-xr-x
2026-01-31 23:24
mysql_find_rows
3.35
KB
-rwxr-xr-x
2026-01-31 23:24
mysql_waitpid
4.54
MB
-rwxr-xr-x
2026-02-01 00:05
mysqlaccess
109.48
KB
-rwxr-xr-x
2026-01-31 23:24
mysqladmin
4.87
MB
-rwxr-xr-x
2026-02-01 00:05
mysqlbinlog
5.13
MB
-rwxr-xr-x
2026-02-01 00:05
mysqlcheck
4.86
MB
-rwxr-xr-x
2026-02-01 00:05
mysqldump
4.96
MB
-rwxr-xr-x
2026-02-01 00:05
mysqlimport
4.85
MB
-rwxr-xr-x
2026-02-01 00:05
mysqlshow
4.85
MB
-rwxr-xr-x
2026-02-01 00:05
mytop
72.03
KB
-rwxr-xr-x
2026-01-31 23:24
namei
23.23
KB
-rwxr-xr-x
2026-02-05 04:11
nano
346.2
KB
-rwxr-xr-x
2025-03-13 10:12
neqn
916
B
-rwxr-xr-x
2022-02-01 17:44
net-snmp-create-v3-user
3.23
KB
-rwxr-xr-x
2026-01-15 22:59
nice
35.67
KB
-rwxr-xr-x
2025-03-12 19:52
nl
100.71
KB
-rwxr-xr-x
2025-03-12 19:52
nm
44.73
KB
-rwxr-xr-x
2025-12-18 21:37
nohup
35.58
KB
-rwxr-xr-x
2025-03-12 19:52
nproc
35.69
KB
-rwxr-xr-x
2025-03-12 19:52
nroff
3.21
KB
-rwxr-xr-x
2022-02-01 17:44
nslookup
112.52
KB
-rwxr-xr-x
2025-11-13 15:16
nsupdate
71.8
KB
-rwxr-xr-x
2025-11-13 15:16
numfmt
55.83
KB
-rwxr-xr-x
2025-03-12 19:52
objcopy
185.37
KB
-rwxr-xr-x
2025-12-18 21:37
objdump
413.11
KB
-rwxr-xr-x
2025-12-18 21:37
od
64.06
KB
-rwxr-xr-x
2025-03-12 19:52
openssl
1.07
MB
-rwxr-xr-x
2026-01-28 23:17
pango-list
19.11
KB
-rwxr-xr-x
2023-04-07 17:19
pango-segmentation
19.13
KB
-rwxr-xr-x
2023-04-07 17:19
pango-view
60.17
KB
-rwxr-xr-x
2023-04-07 17:19
passenger
1.73
KB
-rwxr-xr-x
2026-01-14 01:09
passwd
1.26
KB
-rwxr-xr-x
2022-04-14 21:45
paste
35.58
KB
-rwxr-xr-x
2025-03-12 19:52
patch
195.02
KB
-rwxr-xr-x
2022-03-25 22:42
pathchk
35.66
KB
-rwxr-xr-x
2025-03-12 19:52
pdf2dsc
701
B
-rwxr-xr-x
2025-05-14 23:03
pdf2ps
913
B
-rwxr-xr-x
2025-05-14 23:03
perl
15.13
KB
-rwxr-xr-x
2025-07-28 10:54
perl5.32.1
15.13
KB
-rwxr-xr-x
2025-07-28 10:54
perlbug
43.81
KB
-rwxr-xr-x
2025-07-28 10:54
perldoc
118
B
-rwxr-xr-x
2022-02-15 06:51
perlivp
10.56
KB
-rwxr-xr-x
2025-07-28 10:53
perlml
14.49
KB
-rwxr-xr-x
2025-10-03 02:40
perlthanks
43.81
KB
-rwxr-xr-x
2025-07-28 10:54
pgrep
31.42
KB
-rwxr-xr-x
2024-04-30 23:43
php
937
B
-rwxr-xr-x
2025-07-01 23:06
pic
201.72
KB
-rwxr-xr-x
2022-02-01 17:44
piconv
8.08
KB
-rwxr-xr-x
2022-02-11 23:42
ping
89.33
KB
-rwxr-xr-x
2025-10-20 19:44
pinky
35.61
KB
-rwxr-xr-x
2025-03-12 19:52
pkg-config
335
B
-rwxr-xr-x
2023-04-07 03:27
pkill
31.42
KB
-rwxr-xr-x
2024-04-30 23:43
pl2pm
4.43
KB
-rwxr-xr-x
2025-07-28 10:54
pmap
35.39
KB
-rwxr-xr-x
2024-04-30 23:43
pod2html
4.04
KB
-rwxr-xr-x
2025-07-28 10:54
pod2man
14.68
KB
-rwxr-xr-x
2022-03-25 19:10
pod2text
10.55
KB
-rwxr-xr-x
2022-03-25 19:10
pod2usage
4.01
KB
-rwxr-xr-x
2022-02-11 23:01
podchecker
3.57
KB
-rwxr-xr-x
2022-02-12 02:01
post-grohtml
199.76
KB
-rwxr-xr-x
2022-02-01 17:44
pr
72.28
KB
-rwxr-xr-x
2025-03-12 19:52
pre-grohtml
92.92
KB
-rwxr-xr-x
2022-02-01 17:44
precat
5.53
KB
-rwxr-xr-x
2019-10-08 07:15
preunzip
5.53
KB
-rwxr-xr-x
2019-10-08 07:15
prezip
5.53
KB
-rwxr-xr-x
2019-10-08 07:15
prezip-bin
15.69
KB
-rwxr-xr-x
2022-01-27 04:47
printenv
31.47
KB
-rwxr-xr-x
2025-03-12 19:52
printf
51.77
KB
-rwxr-xr-x
2025-03-12 19:52
prove
13.24
KB
-rwxr-xr-x
2022-02-16 18:58
ps
141.15
KB
-rwxr-xr-x
2024-04-30 23:43
ps2ascii
635
B
-rwxr-xr-x
2025-05-14 23:03
ps2epsi
1.24
KB
-rwxr-xr-x
2025-05-14 23:03
ps2pdf
276
B
-rwxr-xr-x
2025-05-14 23:03
ps2pdf12
219
B
-rwxr-xr-x
2025-05-14 23:03
ps2pdf13
219
B
-rwxr-xr-x
2025-05-14 23:03
ps2pdf14
219
B
-rwxr-xr-x
2025-05-14 23:03
ps2pdfwr
1.06
KB
-rwxr-xr-x
2025-05-14 23:03
ps2ps
651
B
-rwxr-xr-x
2025-05-14 23:03
ps2ps2
673
B
-rwxr-xr-x
2025-05-14 23:03
ptx
129.03
KB
-rwxr-xr-x
2025-03-12 19:52
pwd
35.7
KB
-rwxr-xr-x
2025-03-12 19:52
pwdx
15.28
KB
-rwxr-xr-x
2024-04-30 23:43
pydoc
78
B
-rwxr-xr-x
2026-03-11 00:32
pydoc3
78
B
-rwxr-xr-x
2026-03-11 00:32
pydoc3.9
78
B
-rwxr-xr-x
2026-03-11 00:32
ranlib
56
KB
-rwxr-xr-x
2025-12-18 21:37
readelf
667.29
KB
-rwxr-xr-x
2025-12-18 21:37
readlink
39.69
KB
-rwxr-xr-x
2025-03-12 19:52
realpath
39.77
KB
-rwxr-xr-x
2025-03-12 19:52
recode
31.93
KB
-rwxr-xr-x
2022-11-02 18:35
red
92
B
-rwxr-xr-x
2022-01-30 12:02
redis-benchmark
1.29
MB
-rwxr-xr-x
2026-02-19 15:50
redis-check-aof
2.4
MB
-rwxr-xr-x
2026-02-19 15:50
redis-check-rdb
2.4
MB
-rwxr-xr-x
2026-02-19 15:50
redis-cli
934.88
KB
-rwxr-xr-x
2026-02-19 15:50
redis-sentinel
2.4
MB
-rwxr-xr-x
2026-02-19 15:50
redis-server
2.4
MB
-rwxr-xr-x
2026-02-19 15:50
rename
23.23
KB
-rwxr-xr-x
2026-02-05 04:11
renew-dummy-cert
729
B
-rwxr-xr-x
2026-01-28 23:17
renice
15.16
KB
-rwxr-xr-x
2026-02-05 04:11
replace
4.52
MB
-rwxr-xr-x
2026-02-01 00:05
reset
27.34
KB
-rwxr-xr-x
2025-09-21 16:23
rev
15.16
KB
-rwxr-xr-x
2026-02-05 04:11
rm
60.21
KB
-rwxr-xr-x
2025-03-12 19:52
rmdir
43.61
KB
-rwxr-xr-x
2025-03-12 19:52
rnano
346.2
KB
-rwxr-xr-x
2025-03-13 10:12
ruby
15.27
KB
-rwxr-xr-x
2025-05-06 10:53
run-with-aspell
89
B
-rwxr-xr-x
2022-01-27 04:47
runcon
35.65
KB
-rwxr-xr-x
2025-03-12 19:52
rvi
1.38
MB
-rwxr-xr-x
2025-11-12 06:24
rview
1.38
MB
-rwxr-xr-x
2025-11-12 06:24
rvim
3.84
MB
-rwxr-xr-x
2025-11-12 06:24
scalar
819.34
KB
-rwxr-xr-x
2025-07-21 23:25
scl
39.55
KB
-rwxr-xr-x
2023-04-07 08:57
scl_enabled
262
B
-rwxr-xr-x
2021-07-27 22:14
scl_source
1.88
KB
-rwxr-xr-x
2021-07-27 22:14
scp
132.93
KB
-rwxr-xr-x
2025-12-18 08:52
screen
483.04
KB
-rwxr-xr-x
2023-01-30 18:37
script
51.58
KB
-rwxr-xr-x
2026-02-05 04:11
sdiff
44.2
KB
-rwxr-xr-x
2022-01-30 01:15
sed
114.01
KB
-rwxr-xr-x
2022-02-15 17:36
selectorctl
7.63
KB
-rwxr-xr-x
2026-02-17 18:01
seq
47.79
KB
-rwxr-xr-x
2025-03-12 19:52
setsid
15.15
KB
-rwxr-xr-x
2026-02-05 04:11
setterm
35.33
KB
-rwxr-xr-x
2026-02-05 04:11
sftp
140.93
KB
-rwxr-xr-x
2025-12-18 08:52
sh
1.32
MB
-rwxr-xr-x
2024-04-30 21:33
sha1sum
39.64
KB
-rwxr-xr-x
2025-03-12 19:52
sha224sum
39.64
KB
-rwxr-xr-x
2025-03-12 19:52
sha256sum
39.64
KB
-rwxr-xr-x
2025-03-12 19:52
sha384sum
39.64
KB
-rwxr-xr-x
2025-03-12 19:52
sha512sum
39.64
KB
-rwxr-xr-x
2025-03-12 19:52
shred
51.88
KB
-rwxr-xr-x
2025-03-12 19:52
shuf
48.01
KB
-rwxr-xr-x
2025-03-12 19:52
size
31.61
KB
-rwxr-xr-x
2025-12-18 21:37
skill
31.4
KB
-rwxr-xr-x
2024-04-30 23:43
slabtop
23.42
KB
-rwxr-xr-x
2024-04-30 23:43
sleep
35.65
KB
-rwxr-xr-x
2025-03-12 19:52
snice
31.4
KB
-rwxr-xr-x
2024-04-30 23:43
snmpconf
25.44
KB
-rwxr-xr-x
2026-01-15 22:59
sort
113.09
KB
-rwxr-xr-x
2025-03-12 19:52
spell
125
B
-rwxr-xr-x
2019-10-08 07:15
splain
18.96
KB
-rwxr-xr-x
2025-07-28 10:54
split
52.31
KB
-rwxr-xr-x
2025-03-12 19:52
sprof
35.45
KB
-rwxr-xr-x
2026-02-17 18:04
sqlite3
1.54
MB
-rwxr-xr-x
2025-11-12 05:18
ssh
843.39
KB
-rwxr-xr-x
2025-12-18 08:52
ssh-add
164.73
KB
-rwxr-xr-x
2025-12-18 08:52
ssh-agent
280.88
KB
-rwxr-xr-x
2025-12-18 08:52
ssh-copy-id
12.38
KB
-rwxr-xr-x
2025-12-18 08:52
ssh-keygen
454.85
KB
-rwxr-xr-x
2025-12-18 08:52
ssh-keyscan
197.29
KB
-rwxr-xr-x
2025-12-18 08:52
stat
80.06
KB
-rwxr-xr-x
2025-03-12 19:52
stdbuf
43.74
KB
-rwxr-xr-x
2025-03-12 19:52
strace
2.08
MB
-rwxr-xr-x
2025-03-13 02:11
stream
15.27
KB
-rwxr-xr-x
2025-04-01 19:55
strings
31.74
KB
-rwxr-xr-x
2025-12-18 21:37
strip
185.37
KB
-rwxr-xr-x
2025-12-18 21:37
stty
75.83
KB
-rwxr-xr-x
2025-03-12 19:52
sum
35.59
KB
-rwxr-xr-x
2025-03-12 19:52
sync
35.54
KB
-rwxr-xr-x
2025-03-12 19:52
tabs
19.16
KB
-rwxr-xr-x
2025-09-21 16:23
tac
104.6
KB
-rwxr-xr-x
2025-03-12 19:52
tail
68.09
KB
-rwxr-xr-x
2025-03-12 19:52
tar
518.16
KB
-rwxr-xr-x
2026-01-06 02:41
taskset
23.23
KB
-rwxr-xr-x
2026-02-05 04:11
tbl
130.86
KB
-rwxr-xr-x
2022-02-01 17:44
tclsh
15.69
KB
-rwxr-xr-x
2022-10-16 04:29
tclsh8.6
15.69
KB
-rwxr-xr-x
2022-10-16 04:29
tee
35.69
KB
-rwxr-xr-x
2025-03-12 19:52
test
43.79
KB
-rwxr-xr-x
2025-03-12 19:52
tic
87.79
KB
-rwxr-xr-x
2025-09-21 16:23
timeout
40.17
KB
-rwxr-xr-x
2025-03-12 19:52
tload
19.34
KB
-rwxr-xr-x
2024-04-30 23:43
tmpwatch
36.03
KB
-rwxr-xr-x
2022-02-11 18:52
toe
23.23
KB
-rwxr-xr-x
2025-09-21 16:23
top
132.27
KB
-rwxr-xr-x
2024-04-30 23:43
touch
92.03
KB
-rwxr-xr-x
2025-03-12 19:52
tput
27.25
KB
-rwxr-xr-x
2025-09-21 16:23
tr
47.87
KB
-rwxr-xr-x
2025-03-12 19:52
troff
732.07
KB
-rwxr-xr-x
2022-02-01 17:44
true
27.47
KB
-rwxr-xr-x
2025-03-12 19:52
truncate
35.66
KB
-rwxr-xr-x
2025-03-12 19:52
tset
27.34
KB
-rwxr-xr-x
2025-09-21 16:23
tsort
47.79
KB
-rwxr-xr-x
2025-03-12 19:52
tty
31.65
KB
-rwxr-xr-x
2025-03-12 19:52
tzselect
14.99
KB
-rwxr-xr-x
2026-02-17 18:01
uapi
1.25
KB
-rwxr-xr-x
2026-05-09 01:18
ul
23.26
KB
-rwxr-xr-x
2026-02-05 04:11
uname
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
unexpand
39.73
KB
-rwxr-xr-x
2025-03-12 19:52
uniq
43.83
KB
-rwxr-xr-x
2025-03-12 19:52
unlink
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
unzip
195.95
KB
-rwxr-xr-x
2025-09-21 18:04
unzipsfx
87.7
KB
-rwxr-xr-x
2025-09-21 18:04
uptime
15.29
KB
-rwxr-xr-x
2024-04-30 23:43
users
35.68
KB
-rwxr-xr-x
2025-03-12 19:52
utmpdump
23.21
KB
-rwxr-xr-x
2026-02-05 04:11
vdir
137.65
KB
-rwxr-xr-x
2025-03-12 19:52
vi
691
B
-rwxr-xr-x
2025-11-12 06:24
view
150
B
-rwxr-xr-x
2025-11-12 06:24
vim
3.84
MB
-rwxr-xr-x
2025-11-12 06:24
vimdiff
3.84
MB
-rwxr-xr-x
2025-11-12 06:24
vimtutor
2.07
KB
-rwxr-xr-x
2025-11-12 06:24
vmstat
39.41
KB
-rwxr-xr-x
2024-04-30 23:43
watch
27.87
KB
-rwxr-xr-x
2024-04-30 23:43
wc
43.73
KB
-rwxr-xr-x
2025-03-12 19:52
wget
521.41
KB
-rwxr-xr-x
2024-09-03 18:58
whereis
31.84
KB
-rwxr-xr-x
2026-02-05 04:11
which
27.89
KB
-rwxr-xr-x
2025-08-05 13:19
who
51.77
KB
-rwxr-xr-x
2025-03-12 19:52
whoami
31.66
KB
-rwxr-xr-x
2025-03-12 19:52
word-list-compress
15.7
KB
-rwxr-xr-x
2022-01-27 04:47
x86_64-redhat-linux-c++
1.05
MB
-rwxr-xr-x
2025-09-15 22:46
x86_64-redhat-linux-g++
1.05
MB
-rwxr-xr-x
2025-09-15 22:46
x86_64-redhat-linux-gcc
1.04
MB
-rwxr-xr-x
2025-09-15 22:46
x86_64-redhat-linux-gcc-11
1.04
MB
-rwxr-xr-x
2025-09-15 22:46
xargs
64.09
KB
-rwxr-xr-x
2024-10-03 04:04
xmlcatalog
23.15
KB
-rwxr-xr-x
2025-12-01 10:41
xmllint
80.56
KB
-rwxr-xr-x
2025-12-01 10:41
xmlwf
39.63
KB
-rwxr-xr-x
2025-11-26 23:14
xsltproc
31.23
KB
-rwxr-xr-x
2025-05-14 02:06
xsubpp
4.96
KB
-rwxr-xr-x
2022-02-16 15:56
xxd
19.31
KB
-rwxr-xr-x
2025-11-12 06:24
yes
31.51
KB
-rwxr-xr-x
2025-03-12 19:52
zcat
1.94
KB
-rwxr-xr-x
2022-10-16 00:26
zcmp
1.64
KB
-rwxr-xr-x
2022-10-16 00:26
zdiff
6.31
KB
-rwxr-xr-x
2022-10-16 00:26
zegrep
33
B
-rwxr-xr-x
2022-10-16 00:26
zfgrep
33
B
-rwxr-xr-x
2022-10-16 00:26
zforce
2.04
KB
-rwxr-xr-x
2022-10-16 00:26
zgrep
7.93
KB
-rwxr-xr-x
2022-10-16 00:26
zip
221.09
KB
-rwxr-xr-x
2023-04-07 21:02
zipcloak
75.7
KB
-rwxr-xr-x
2023-04-07 21:02
zipgrep
2.89
KB
-rwxr-xr-x
2008-10-11 00:40
zipinfo
195.95
KB
-rwxr-xr-x
2025-09-21 18:04
zipnote
67.61
KB
-rwxr-xr-x
2023-04-07 21:02
zipsplit
63.58
KB
-rwxr-xr-x
2023-04-07 21:02
zless
2.16
KB
-rwxr-xr-x
2022-10-16 00:26
zmore
1.8
KB
-rwxr-xr-x
2022-10-16 00:26
znew
4.47
KB
-rwxr-xr-x
2022-10-16 00:26
Save
Rename
#!/usr/bin/bash # Copyright (C) 1996-2021 Free Software Foundation, Inc. # This file is part of the GNU C Library. # The GNU C Library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2.1 of the License, or (at your option) any later version. # The GNU C Library is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # Lesser General Public License for more details. # You should have received a copy of the GNU Lesser General Public # License along with the GNU C Library; if not, see # <https://www.gnu.org/licenses/>. # This is the `ldd' command, which lists what shared libraries are # used by given dynamically-linked executables. It works by invoking the # run-time dynamic linker as a command and setting the environment # variable LD_TRACE_LOADED_OBJECTS to a non-empty value. # We should be able to find the translation right at the beginning. TEXTDOMAIN=libc TEXTDOMAINDIR=/usr/share/locale RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2" warn= bind_now= verbose= while test $# -gt 0; do case "$1" in --vers | --versi | --versio | --version) echo 'ldd (GNU libc) 2.34' printf $"Copyright (C) %s Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " "2021" printf $"Written by %s and %s. " "Roland McGrath" "Ulrich Drepper" exit 0 ;; --h | --he | --hel | --help) echo $"Usage: ldd [OPTION]... FILE... --help print this help and exit --version print version information and exit -d, --data-relocs process data relocations -r, --function-relocs process data and function relocations -u, --unused print unused direct dependencies -v, --verbose print all information " printf $"For bug reporting instructions, please see:\\n%s.\\n" \ "<https://www.gnu.org/software/libc/bugs.html>" exit 0 ;; -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \ --data-rel | --data-relo | --data-reloc | --data-relocs) warn=yes shift ;; -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \ --function | --function- | --function-r | --function-re | --function-rel | \ --function-relo | --function-reloc | --function-relocs) warn=yes bind_now=yes shift ;; -v | --verb | --verbo | --verbos | --verbose) verbose=yes shift ;; -u | --u | --un | --unu | --unus | --unuse | --unused) unused=yes shift ;; --v | --ve | --ver) echo >&2 $"ldd: option \`$1' is ambiguous" exit 1 ;; --) # Stop option processing. shift; break ;; -*) echo >&2 'ldd:' $"unrecognized option" "\`$1'" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; *) break ;; esac done nonelf () { # Maybe extra code for non-ELF binaries. return 1; } add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now" add_env="$add_env LD_LIBRARY_VERSION=\$verify_out" add_env="$add_env LD_VERBOSE=$verbose" if test "$unused" = yes; then add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\"" fi # The following command substitution is needed to make ldd work in SELinux # environments where the RTLD might not have permission to write to the # terminal. The extra "x" character prevents the shell from trimming trailing # newlines from command substitution results. This function is defined as a # subshell compound list (using "(...)") to prevent parameter assignments from # affecting the calling shell execution environment. try_trace() ( output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc) rc=$? printf '%s' "${output%x}" return $rc ) case $# in 0) echo >&2 'ldd:' $"missing file arguments" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; 1) single_file=t ;; *) single_file=f ;; esac result=0 for file do # We don't list the file name when there is only one. test $single_file = t || echo "${file}:" case $file in */*) : ;; *) file=./$file ;; esac if test ! -e "$file"; then echo "ldd: ${file}:" $"No such file or directory" >&2 result=1 elif test ! -f "$file"; then echo "ldd: ${file}:" $"not regular file" >&2 result=1 elif test -r "$file"; then test -x "$file" || echo 'ldd:' $"\ warning: you do not have execution permission for" "\`$file'" >&2 RTLD= ret=1 for rtld in ${RTLDLIST}; do if test -x $rtld; then verify_out=`${rtld} --verify "$file"` ret=$? case $ret in [02]) RTLD=${rtld}; break;; esac fi done case $ret in 1) # This can be a non-ELF binary or no binary at all. nonelf "$file" || { echo $" not a dynamic executable" >&2 result=1 } ;; 0|2) try_trace "$RTLD" "$file" || result=1 ;; *) echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2 exit 1 ;; esac else echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2 result=1 fi done exit $result # Local Variables: # mode:ksh # End: